dofile("Scripts/levelManager.lua");

LManager = LevelManager.create();

LManager:AwardUpgrade(eUPGRADE_SAMMY);

LManager:AddGame(eGAME_METER);
LManager:AddGame(eGAME_SPIN);
LManager:AddGame(eGAME_RECALL);
LManager:AddGame(eGAME_SHELL);
LManager:AddGame(eGAME_COMBO);
LManager:AddGame(eGAME_TAG);

--square block formation
LManager:AddTable(eTYPE_TABLE2, 380, 260);
LManager:AddTable(eTYPE_TABLE3, 560, 260);
LManager:AddTable(eTYPE_TABLE4, 200, 375);
LManager:AddTable(eTYPE_TABLE5, 380, 375);
LManager:AddTable(eTYPE_TABLE6, 560, 375);
LManager:AddTable(eTYPE_TABLE7, 200, 490);
LManager:AddTable(eTYPE_TABLE8, 380, 490);
LManager:AddTable(eTYPE_TABLE9, 560, 490);

LManager:AddCandle(165, 74, 15000);
LManager:AddCandle(285, 74, 15000);
LManager:AddCandle(576, 74, 15000);

seated = LManager.GenSeated(eTYPE_SEATED3);
seated.tableIdx = 1;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED5);
seated.tableIdx = 2;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED6);
seated.tableIdx = 3;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED10);
seated.tableIdx = 4;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED11);
seated.tableIdx = 5;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED12);
seated.tableIdx = 6;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED7);
seated.tableIdx = 7;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED13);
seated.tableIdx = 8;
LManager:AddSeated(seated);

-- table 1
guest = LManager.GenGuest(eTYPE_GUEST2);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 3000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 63000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 127000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 183000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 227000;
LManager:AddGuest(guest);

-- table 2
guest = LManager.GenGuest(eTYPE_GUEST3);
guest.needs[1] = eWANT_GIFT;
guest.times[1] = 52000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 80000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 131000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 185000;
guest.needs[5] = eWANT_GIFT;
guest.times[5] = 225000;
LManager:AddGuest(guest);

-- table 3
guest = LManager.GenGuest(eTYPE_GUEST10);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 70000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 123000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 131000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 187000;
LManager:AddGuest(guest);

-- table 4
guest = LManager.GenGuest(eTYPE_GUEST11);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 10000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 74000;
guest.needs[3] = eWANT_GIFT;
guest.times[3] = 112000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 189000;
LManager:AddGuest(guest);

-- table 5
guest = LManager.GenGuest(eTYPE_GUEST12);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 17000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 52000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 93000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 141000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 219000;
LManager:AddGuest(guest);

-- table 6
guest = LManager.GenGuest(eTYPE_GUEST8);
guest.needs[1] = eWANT_GIFT;
guest.times[1] = 39000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 78000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 153000;
guest.needs[4] = eWANT_GIFT;
guest.times[4] = 175000;
LManager:AddGuest(guest);

-- table 7
guest = LManager.GenGuest(eTYPE_GUEST5);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 21000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 106000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 159000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 195000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 213000;
LManager:AddGuest(guest);

-- table 8
guest = LManager.GenGuest(eTYPE_GUEST7);
guest.needs[1] = eWANT_DRINK;
guest.times[1] = 33000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 46000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 99000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 164000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 331000;
LManager:AddGuest(guest);

LManager:AdjustGuestHappiness(150);
LManager:SetSnackTime(20000);

LManager:SetLevelNumber(4,8);
LManager:SetLevelScores(9700, 9950);
LManager:SetLevelTime(30000);

gameObject = LManager:GenerateGameObject();

levelSetting = LManager:GenerateLevelSettings();